Skip to main content
POST
Search experiment runs

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

experiment_id
string
required

The unique experiment identifier (base64) A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Body

application/json

Body containing optional search criteria for experiment runs

Optional criteria for searching an experiment's runs. Omit all fields to return the first page of runs in stable id ascending order. Keep the filter unchanged when using a returned cursor to fetch the next page.

Filters use the same SQL-like language as span search. Supported column families include unprefixed id, output, and example_id; custom run columns; eval.<name>.score, eval.<name>.label, eval.<name>.explanation, and eval.<name>.metadata.*; and annotation.<name>.* when present in the run schema. A present empty or whitespace-only filter is invalid.

filter
string

SQL-like filter expression. Omit to search all runs; an empty or whitespace-only value is invalid.

Example:

"eval.quality.score < 0.5"

limit
integer<int32>

Maximum number of runs to return. Defaults to 50 and must be between 1 and 500.

Required range: 1 <= x <= 500
Example:

50

cursor
string

Opaque cursor from pagination.next_cursor. Omit to start at the first page; keep the filter unchanged while paging.

Example:

"opaque-cursor"

Response

Returns a list of experiment run objects

experiment_runs
object[]
required

Array of experiment run objects containing experiment fields and evaluations

pagination
object
required

Pagination metadata for cursor-based navigation